<ion-content>
        <div class="ms-mob-body ms-home">
          <div class="row ms-home-body">
              <div class="ms-home-body-content ms-full-width ms-item-details">
                  <p class="ms-home-header">
                    <i [ngClass]="toggleIcon(item.vendor_type)" class="ms-item-details-icon"></i> {{ item.vendor_type }}
                  </p>
                  <p class="ms-info">by <b>{{item.vendor_name}}</b></p>
                  <span class="ms-item-details-header-icon-status" *ngIf="item.vendor_payment != 'Pending' && item.vendor_payment != ''">
                    <i class="ms-Icon ms-Icon--Commitments"></i>
                    <span>
                      committed
                    </span>              
                  </span>

                  <span class="ms-item-details-header-icon-status" *ngIf="item.vendor_payment == 'Pending'">
                    <i class="ms-Icon ms-Icon--ProgressRingDots"></i>
                    <span>
                      in progress
                    </span>              
                  </span>
                  <hr/>

                  <div *ngFor="let vendor of (vendors|async) let idx = index">
                    <div class="ms-item-details-card ms-depth-8" *ngFor="let package of vendor.packages">
                      <p style="width:14em;">{{ package.name }}</p>
                      <span class="ms-info">requested</span>
                      <span class="ms-card-price">
                        {{ (package.regularPrice - (package.regularPrice * package.discountRate)) | currency:'Php '}}
                      </span>
                      <hr/>
                      <div class="ms-item-details-images">
                          <ion-img [src]=" package.photoUrl? package.photoUrl : placeholder" ></ion-img>
                        </div>
                      <p class="ms-item-details-desc">
                        {{ package.description }}
                      </p>
                      <p class="ms-item-details-card-subhead">
                        package policy
                      </p>
                      <p class="ms-item-details-desc">
                          maximum pax: {{package.maximumPax}} 
                          <br>  regular price: {{package.regularPrice | currency:"Php "}}
                          <br>  milestones discounted price: {{ (package.regularPrice - (package.regularPrice * package.discountRate)) | currency:"Php "}}
                          <br>  milestones discount rate: {{package.discountRate * 100}} %
                      </p>
                      <div class="ms-item-details-card-toolbar row">
                        <div class="col text-left">
                            <a class="" (click)="message(vendor, package)">
                              <i class="ms-Icon ms-Icon--Message"></i>
                            </a>
                            <a class="">
                                <i class="ms-Icon ms-Icon--Phone"></i>
                            </a>
                        </div>
                        <div class="col text-right">
                            <a class="" (click)="deletePackage(package, item.vendor_payment)">
                                <i class="ms-Icon ms-Icon--Delete"></i>
                            </a>
                        </div>
                      </div>
                    </div>
                  

                  <div *ngIf="!(totals.paidAmount > 0 && totals.balance == 0)">
                    <ion-row>
                      <ion-button (click)="addPayment(vendor, idx,'add', null)" style="width: 100%;" expand="block" fill="outline" shape="round" color="dark">
                        <ion-icon slot="start" name="add"></ion-icon>
                        ADD PAYMENT
                      </ion-button>
                    </ion-row>
                  </div>
                
                  
                  <br>
                  <div *ngIf="event.packages[index] && event.packages[index].transactions && event.packages[index].transactions != null && event.packages[index].transactions.length">
                  <span class="ms-info separator">Payments Made</span>
                  <ion-list>
                    <ion-row class="pay_row" *ngFor="let pay of event.packages[index].transactions" (click)="addPayment(vendor, idx, 'view', pay)">
                      <ion-col size="4" ><ion-label>{{ pay.paymentDate | date }}</ion-label></ion-col>
                      <ion-col size="2" ngClass="getClass(pay.status)">
                        <ion-badge *ngIf="pay.status == 'TVR'" color="secondary">verified</ion-badge>
                        <ion-badge *ngIf="pay.status == 'TRJ'" color="danger">rejected</ion-badge>
                        <ion-badge *ngIf="pay.status == 'TPN'" color="warning">pending</ion-badge>
                        <ion-badge *ngIf="pay.status == 'TQD'" color="warning">queued</ion-badge>
                      </ion-col>
                      <ion-col size="6" class="pay_amount"><ion-label>{{ pay.paidAmount | currency:'₱ '}}</ion-label></ion-col>
                    </ion-row>
                  </ion-list>
                  
                  <ion-grid fixed *ngIf="totals.paidAmount > 0">
                    <ion-row>
                      <ion-col size="6"><ion-label>Package Amount</ion-label></ion-col>
                      <ion-col size="6" class="pay_amount">{{ totals.totalAmount | currency:'₱ ' }}</ion-col>
                    </ion-row>

                    <ion-row>
                      <ion-col size="6"><ion-label>Total Paid</ion-label></ion-col>
                      <ion-col size="6" class="pay_amount">{{ totals.paidAmount | currency:'₱ ' }}</ion-col>
                    </ion-row>

                    <ion-row>
                      <ion-col size="6"><ion-label>Balance</ion-label></ion-col>
                      <ion-col size="6" class="pay_amount">{{ totals.balance | currency:'₱ ' }}</ion-col>
                    </ion-row>

                    <hr>
                  </ion-grid>
                  
                  </div>
                </div>
                <!-- <br>
                
                <div class="ms_receipt" id="torn_receipt">
                  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 800 400">
                
                    <mask id="circleMask">
                      <rect x="0" y="0" width="100%" height="100%" fill="gray" />
                      <circle cx="0" cy="0" r="25" fill="black" />
                      <circle cx="60" cy="0" r="25" fill="black" />
                      <circle cx="120" cy="0" r="25" fill="black" />
                      <circle cx="180" cy="0" r="25" fill="black" />
                      <circle cx="240" cy="0" r="25" fill="black" />
                      <circle cx="300" cy="0" r="25" fill="black" />
                      <circle cx="360" cy="0" r="25" fill="black" />
                      <circle cx="420" cy="0" r="25" fill="black" />
                      <circle cx="480" cy="0" r="25" fill="black" />
                      <circle cx="540" cy="0" r="25" fill="black" />
                      <circle cx="600" cy="0" r="25" fill="black" />
                      <circle cx="660" cy="0" r="25" fill="black" />
                      <circle cx="720" cy="0" r="25" fill="black" />
                      <circle cx="780" cy="0" r="25" fill="black" />
                    </mask>
                    <rect width="800" height="400" x="0" y="0" mask="url(#circleMask)"></rect>
                  </svg>
                </div>

                <div>Awesome label!</div> -->

                <!-- <ion-item class="ms_receipt_content" style="background: url(#torn_receipt);">
                  <ion-label>Awesome Label</ion-label>
                </ion-item> -->
          

              </div>
          </div>
        </div>
      </ion-content>
      <ion-footer>
          <div class="ms-home-bottombar ms-scheme-bottombar">
            <div class="row ms-bottom-toolbar">
              <div class="col-sm ms-bottom-toolbar-tool">
                  <span>
                      <a (click)="goBackToPage()">
                          <i class="ms-Icon ms-Icon--Back"></i>
                      </a>
                  </span>
                  <span>
                    <!-- <a>
                      <i class="ms-Icon ms-Icon--Add"></i>
                    </a> -->
                  </span>
                  <span>
                      <a *ngIf="new_flag" (click)="uploadPayments()">
                          <i class="ms-Icon ms-Icon--Save"></i>
                      </a>
                  </span>
              </div>
            </div>
          </div>
      </ion-footer>
      